/'--------------------------------------------------------------------
                  Nascent World Engine for FreeBASIC              
                     Copyright Vincent DeCampo 2009      

   This program is free software: you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

--------------------------------------------------------------------'/

#Libpath "..\fbsound0.03g\lib"
#Include "..\fbsound0.03g\inc\fbsound.bi"

#Define MAXSOUNDINDEX   25

Type _Sound
   Declare Constructor()
   Declare Destructor()
   Declare Function LoadWave  (filename As String, index As Integer) As Integer
   Declare Function LoadMP3   (filename As String, index As Integer) As Integer
   Declare Function PlaySound (index As Integer, loops As Integer=1) As Integer
   Declare Function GetVolume (index As Integer) As Single
   Declare Sub      SetVolume (index As Integer, svolume As single) '(0.0->2.0) 
   Declare Function GetLoops  (index As Integer) As Integer
   Declare Sub      SetLoops  (index As Integer, nloops As Integer)
   Declare Function Pause     (index As Integer, paused As Integer=1) As Integer
   As Integer InitOK   
   As Integer Sounds(MAXSOUNDINDEX)
End Type

#Ifdef _MAKELIB_
   #Include "sound.bas"
#EndIf
